org.multiverse.api.exceptions

## Class PanicError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - org.multiverse.api.exceptions.PanicError

All Implemented Interfaces:
  java.io.Serializable

    public class PanicError
    extends java.lang.Error

An `Error` thrown when the state of the `Stm` has been compromised. Normally this exception should never happen.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PanicError(java.lang.String message)` Creates a new PanicError with the provided message.
`PanicError(java.lang.String message, java.lang.Throwable cause)` Creates a new PanicError with the provided message and cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PanicError

    public PanicError(java.lang.String message)

Creates a new PanicError with the provided message.

Parameters:
  `message` - the message of the PanicError.

#### PanicError

    public PanicError(java.lang.String message,
              java.lang.Throwable cause)

Creates a new PanicError with the provided message and cause.

Parameters:
  `message` - the message of the PanicError.
  `cause` - the cause of the PanicError.